Bug 1249668 - grub2-mkconfig wrong sorting
grub2-mkconfig wrong sorting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
Unspecified Linux
urgent Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 10:19 EDT by Peter Jones
Modified: 2015-08-14 22:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: grub2-2.02-0.21.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1124074
Environment:
Last Closed: 2015-08-14 22:18:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Peter Jones 2015-08-03 10:22:40 EDT
Description of problem:
"grub2-mkconfig" command is not sorting kernel menu entries in proper order.
Comment 2 Fedora Update System 2015-08-03 10:31:26 EDT
grub2-2.02-0.19.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/grub2-2.02-0.19.fc23
Comment 3 Fedora Update System 2015-08-03 12:52:01 EDT
Package grub2-2.02-0.19.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.02-0.19.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12687/grub2-2.02-0.19.fc23
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-08-04 20:11:25 EDT
Package grub2-2.02-0.20.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.02-0.20.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12687/grub2-2.02-0.20.fc23
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-06 12:01:28 EDT
Package grub2-2.02-0.21.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.02-0.21.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12687/grub2-2.02-0.21.fc23
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-08-14 22:18:05 EDT
grub2-2.02-0.21.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.